Subject: bug#39687: 26.3; Add customize-variable option for not locking keyboards

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Oct 2020 20:44:30 +0200

Logan Perkins <[email-masked]> writes:

> I *think* I have a patch that still fixes the current behavior, and
> does not reintroduce those two bugs, I've included it below.
> Basically, the fix for Bug#5095 should only be applied if we are in
> the right context.  If we're not, the if block above puts a
> Qswitch_frame at the head of the side queue and triggers
> replay_entire_sequence, so we just skip the second check.  It'll get
> run again and catch the interruption on the next pass, but in the
> right context.

Eli, did you have a chance to take a look at the proposed patch here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no